Macaulay2 » Documentation
Packages » FormalGroupLaws :: valuation
next | previous | forward | backward | up | index | toc

# valuation -- smallest degree of monomials

- Usage:
    `valuation(p)`
- Inputs:
  - p, an element of a PolynomialRing
- Outputs:
  - an integer, or infinity

## Description

This function computes the minimum of the degrees of monomials appearing in p. It gives infinity if p is zero.

    i1 : R= ZZ[x,y]

    o1 = R

    o1 : PolynomialRing

    i2 : valuation(x^2+y)

    o2 = 1

    i3 : valuation(0_R)

    o3 = infinity

    o3 : InfiniteNumber

## For the programmer

The object valuation is a function closure.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/FormalGroupLaws.m2:429:0.